#include "Test.h"

#ifdef MM_WIN32
#pragma warning (disable : 4786)
#endif

#include "anint.h"

namespace MM
{

class Anint_test : public Test
{
public:
    Anint_test (const Text& suite_name) : Test (suite_name) { }

    void run()
    {
        test_1();   count_tests();
    }

    void test_1()
    {
        DOUBLES_EQUAL (anint( 3.444),  3.0, 0.0000001);
        DOUBLES_EQUAL (anint(-3.444), -3.0, 0.0000001);
        DOUBLES_EQUAL (anint( 3.555),  4.0, 0.0000001);
        DOUBLES_EQUAL (anint(-3.555), -4.0, 0.0000001);
    }
};

Anint_test test_anint ("correctness");

}//MM
